Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Class IOR

    java.lang.Object
      |
      +--org.omg.IOP.IOR

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class IOR
extends java.lang.Object
implements IDLEntity

an Interoperable Object Reference is a sequence of object-specific protocol profiles, plus a type ID.

See Also:
  Serialized Form

Field Summary
`TaggedProfile[]` | `profiles` Struct member profiles
`java.lang.String` | `type_id` Struct member type_id

Constructor Summary
`IOR()` Default constructor
`IOR(java.lang.String type_id, TaggedProfile[] profiles)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type_id

    public java.lang.String type_id

  Struct member type_id

### profiles

    public TaggedProfile[] profiles

  Struct member profiles

Constructor Detail

### IOR

    public IOR()

  Default constructor

### IOR

    public IOR(java.lang.String type_id,
               TaggedProfile[] profiles)

  Constructor with fields initialization
  Parameters:
    `type_id` - type_id struct member
    `profiles` - profiles struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD